
QGIS Application - Bug report #15692

DB-Manager freezes when running complex SQL queries

2016-10-11 10:16 AM - R. R.

Status: Closed

Priority: Normal

Assignee:

Category: DB Manager

Affected QGIS version:2.16.3 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 23615

Description

The DB-Manager freezes every time when running more complex SQL queries. Using the query tool in pgAdmin III the same queries work

fine.

History

#1 - 2016-10-16 08:47 AM - Anita Graser

What do you mean with "freeze"? Does the query finish in DB Manager after the necessary processing time? Unfortunately it is not possible to stop a query

in DB Manager once it has been started.

#2 - 2017-03-08 12:50 AM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to duplicate

There is already a feature request asking to make possible stop queries in DB Manager (just can't find the ticket number now).

#3 - 2017-03-11 02:47 PM - R. R.

- Status changed from Closed to Reopened

Hi Giovanni, this is a bug report, not a feature request. In pgAdmin III all queries I have tested finish after a few hours, but QGIS stops functioning running

the same queries.

#4 - 2017-03-12 06:31 AM - R. R.

- File 15692.m4v added

Anita Graser wrote:

What do you mean with "freeze"? Does the query finish in DB Manager after the necessary processing time?

Hi Anita, I have uploaded a screencast to demonstrate the issue. I do not know if the query finishes after the necessary processing time.
#5 - 2017-05-01 01:02 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#6 - 2019-03-09 03:08 PM - Giovanni Manghi

- Resolution changed from duplicate to end of life

- Status changed from Reopened to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.

Files

15692.m4v 2.68 MB 2017-03-12 R. R.
